Description

I thkink we should add "select_all" icon to CtrlLib (Ctrl.iml file). Why we need to do this? For example: IDE uses "copy" icon to describe

"select all" action. The other area where we can use this icon is EditCtrls bars (Optional use!!!).

At the end I enclose path for the IDE (idebar.cpp - line 206):

(menu.*add)("Select All", CtrlImg::select_all(), callback(&editor, &LineEdit::SelectAll));    

History

#1 - 11/14/2013 12:54 PM - Zbigniew Rebacz

- Status changed from New to Ready for QA

#2 - 11/15/2013 06:57 PM - Zbigniew Rebacz

- File deleted (Ctrl.iml)

#3 - 11/15/2013 07:00 PM - Zbigniew Rebacz

- File Ctrl.iml added

Of course, we can change icon design. But, when I was created this icon concept I heavily modeled on general upp icons design.

#4 - 11/15/2013 07:39 PM - Zbigniew Rebacz

I found one more little bug.

(menu.*add)("Select all", CtrlImg::select_all(), callback(&editor, &LineEdit::SelectAll));

We need to change "Select All" to "Select all"!

#5 - 11/16/2013 12:34 PM - Zbigniew Rebacz

- % Done changed from 90 to 100

One more little improvement for ide (Key shortcut - sidebar.cpp - line 206):

(menu.*add)("Select all", CtrlImg::select_all(), callback(&editor, &LineEdit::SelectAll))

    .Key(K_CTRL_A);
For me this patch is finished. I updated icon design (It can be seen by downloading Ctrl.iml file). Moreover I improved idebar source code.

#6 - 11/16/2013 12:53 PM - Miroslav Fidler

Implemented, in a little bit wider sense... Please check and approve (or return to me as "New").

Note: Next time, use status "New" or "Patch ready" in this situation...

#7 - 11/16/2013 12:54 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#8 - 11/16/2013 02:24 PM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Hello Mirek,

You should also add "Ctrl Img::select_all()" to EditField::StdBar:

void EditField::StdBar(Bar& menu) {

    menu.Add(IsEditable(), t_("Undo"), THISBACK(Undo))

        .Key(K_ALT_BACKSPACE)

        .Key(K_CTRL_Z);

    menu.Separator();

    menu.Add(IsEditable() && IsSelection(), t_("Cut"), CtrlImg::cut(), THISBACK(Cut))

        .Key(K_SHIFT_DELETE)

        .Key(K_CTRL_X);

    menu.Add(IsSelection(), t_("Copy"), CtrlImg::copy(), THISBACK(Copy))

        .Key(K_CTRL_INSERT)

        .Key(K_CTRL_C);

    menu.Add(IsEditable() && IsClipboardAvailableText(), t_("Paste"), CtrlImg::paste(), THISBACK(Paste))

        .Key(K_SHIFT_INSERT)

        .Key(K_CTRL_V);

    menu.Add(IsEditable(), t_("Erase"), CtrlImg::remove(), THISBACK(Erase))

        .Key(K_DELETE);

    menu.Separator();

    menu.Add(GetLength(), t_("Select all"), CtrlImg::select_all(), THISBACK(SelectAll))

        .Key(K_CTRL_A);

}

#9 - 11/16/2013 06:45 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved

thanks.

12/13/2025 2/3



#10 - 11/17/2013 12:32 AM - Zbigniew Rebacz

- Status changed from Approved to New

Hello Mirek one more time,

Can we revert GridCtrl code to previous version? Here is explanation why this is good idea:

void GridCtrl::SelectMenu(Bar &bar)

{

    bar.Add(total_rows > fixed_rows, RowFormat(t_("Select all")), CtrlImg::select_all(), THISBACK(DoSelectAll)) // <- Adding here "sellect_all" do

nothing, because,.

       .Image(GridImg::SelectAll()) // <- Icon is overwrited in this place one more time.

       .Help(t_("Select all table rows"))

       .Key(K_CTRL_A);

}

Personally, I think "GridImg::SelectAll()" is better solution than "CtrlImg::select_all()", beacuse it better fits to other Grid icons like "Modify", "Duplicate" etc.

Moreover, Dider found the issue with encoding in GridCtrl update. More information you can find on: 

http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=41230&#38;#msg_41230.

#11 - 11/17/2013 01:43 PM - Zbigniew Rebacz

- Status changed from New to Approved

Files

SelectAll.png 130 KB 11/14/2013 Zbigniew Rebacz

Ctrl.iml 27 KB 11/15/2013 Zbigniew Rebacz
